curl https://binaries.soliditylang.org/linux-amd64/solc-linux-amd64-v0.6.12+commit.27d51765 -L --output solc-v0.6.12
chmod +x solc-v0.6.12

echo "ASSEMBLY"
diff --color --unified \
    <(cat solc-input-hardhat-trimmed.json      | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.evm.assembly') \
    <(cat solc-input-trustfactory-trimmed.json | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.evm.assembly')

echo "BYTECODE"
diff --color --unified \
    <(cat solc-input-hardhat-trimmed.json      | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.evm.bytecode.object') \
    <(cat solc-input-trustfactory-trimmed.json | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.evm.bytecode.object')

echo "METADATA"
diff --color --unified \
    <(cat solc-input-hardhat-trimmed.json      | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.metadata') \
    <(cat solc-input-trustfactory-trimmed.json | ./solc-v0.6.12 --standard-json --base-path . --allow-paths . | jq --raw-output '.contracts."contracts/rain-protocol/contracts/trust/TrustFactory.sol".TrustFactory.metadata')
